package net.minecraft.world.item;

import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.Block;

public class BedItem extends BlockItem {
    public BedItem(final Block bvr, final Properties a) {
        super(bvr, a);
    }
    
    @Override
    protected boolean placeBlock(final BlockPlaceContext bin, final BlockState cfj) {
        return bin.getLevel().setBlock(bin.getClickedPos(), cfj, 26);
    }
}
